WikiNG - Bug #2158

Help button no long works
03 Mar 2013 11:48 - Dave Carlton

Status: Closed Start date: 03 Mar 2013
Priority: Critical Due date: 25 May 2013
Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.0.4

Redmine version: 2.3.x External issue:

Description

After installing the latest Wiking plugin and restarting redmine the text formatting help button no longer works. It is reporting a 404
error Page not found.

Here is what was in the log file.

Started GET "//projects/clustercfg/wiki" for 66.249.166.10 at Sun Mar 03 03:41:24 -0800 2013
Processing by WikiController#show as HTML

Parameters: {"project_id"=>"clustercfg"}

Current user: admin (id=1)

Rendered wiki/_content.html.erb (24.3ms)

Rendered attachments/_form.html.erb (109.0ms)

Rendered wiki/_sidebar.html.erb (3.9ms)

Rendered wiki/show.html.erb within layouts/base (163.0ms)
Completed 200 OK in 232ms (Views: 189.1ms | ActiveRecord: 10.9ms)
Started GET "//projects/clustercfg/wiki/Wiki/edit" for 66.249.166.10 at Sun Mar 03 03:41:27 -0800
2013
Processing by WikiController#edit as HTML

Parameters: {"project_id"=>"clustercfg", "id"=>"Wiki"}

Current user: admin (id=1)

Rendered attachments/_form.html.erb (2.3ms)

Rendered wiki/edit.html.erb within layouts/base (26.2ms)
Completed 200 OK in 176ms (Views: 162.0ms | ActiveRecord: 2.0ms)
Started GET "//projects/clustercfg/wiki/Wiki/help/help/wiki_syntax.html&quot;, %$20&quot; &quot;, %$20&
quot; resizable=yes, $20location=no, $20width=300,%20height=640, $20menubar=no, $20status=no, $20scrollb
ars=yes&quot;); %$20return%20false; $22%3EHelp%3C/a%3E%20&amp; $20%3Ca%20href=%22/plugin_assets/wiking
/help/wiki_syntax.html%22%20class=%22help-1ink%22%20onclick=%22window.open (&quot; /plugin_assets/wi
king/help/wiki_syntax.html&quot;, %$20&quot; &quot;, %$20&quot; resizable=yes, $20location=no, $20width=30
0,%20height=640, $20menubar=no, $20status=no, $20scrollbars=yes&quot;); $20return%$20false; $22%3EMore%3
C/a%3E" for 66.249.166.10 at Sun Mar 03 03:41:30 -0800 2013

ActionController::RoutingError (No route matches [GET] "/projects/clustercfg/wiki/Wiki/help/help/w
iki_syntax.html&quot;, $20&quot; &quot;, $20&quot; resizable=yes, $20location=no, $20width=300, $20height
=640, %20menubar=no, $20status=no, $20scrollbars=yes&quot;); $20return%20false; $22%3EHelp%3C/a%3E%20&a
mp; $20%3Ca%20href=%22/plugin_assets/wiking/help/wiki_syntax.html%22%20class=%22help-1ink%22%200oncl
ick=%22window.open (&quot; /plugin_assets/wiking/help/wiki_syntax.html&quot;, $20&quot; &quot;, $20&quo
t;resizable=yes, %$20location=no, $20width=300, $20height=640, $20menubar=no, $20status=no, $20scrollbars
=yes&quot;); $20return%20false; $22%3EMore%3C/a%3E") :

actionpack (3.2.12) lib/action_dispatch/middleware/debug_exceptions.rb:21:in “call'

actionpack (3.2.12) lib/action_dispatch/middleware/show_exceptions.rb:56:in “call'

railties (3.2.12) lib/rails/rack/logger.rb:32:in “call_app'

railties (3.2.12) lib/rails/rack/logger.rb:16:in “call'

activesupport (3.2.12) lib/active_support/tagged_logging.rb:22:in "“tagged'

railties (3.2.12) lib/rails/rack/logger.rb:16:in “call'

actionpack (3.2.12) lib/action_dispatch/middleware/request_id.rb:22:in “call'

rack (1.4.5) lib/rack/methodoverride.rb:21:in ‘call'’

rack (1.4.5) lib/rack/runtime.rb:17:in ‘call'

activesupport (3.2.12) lib/active_support/cache/strategy/local_cache.rb:72:in “call'

rack (1.4.5) lib/rack/lock.rb:15:in “call'

actionpack (3.2.12) lib/action_dispatch/middleware/static.rb:62:in “call'

rack—cache (1.2) lib/rack/cache/context.rb:136:in " forward'

18 Apr 2024 1/4




rack—-cache (1.2) lib/rack/cache/context.rb:245:in " fetch'
rack-cache (1.2) lib/rack/cache/context.rb:185:in "~ lookup'
rack—cache (1.2) lib/rack/cache/context.rb:66:in “call!’
rack-cache (1.2) lib/rack/cache/context.rb:51:in “call'

railties (3.2.12) lib/rails/engine.rb:479:in “call'

railties (3.2.12) lib/rails/application.rb:223:in ‘call’
railties (3.2.12) lib/rails/railtie/configurable.rb:30:in "send'

NDNN

railties (3.2.12) lib/rails/railtie/configurable.rb:30:in ‘method_missing'

thin (1.5.0) lib/thin/connection.rb:81l:in ‘pre_process'
thin (1.5.0) lib/thin/connection.rb:79:in "“catch'
thin (1.5.0) lib/thin/connection.rb:79:in “pre_process'
thin (1.5.0) lib/thin/connection.rb:54:in “process'

)

thin (1.5.0
eventmachine (1.0.1) lib/eventmachine.rb:187:in 'run_machine'

lib/thin/connection.rb:39:in "“receive_data'

eventmachine (1.0.1) lib/eventmachine.rb:187:in ‘run'
thin (1.5.0) lib/thin/backends/base.rb:63:in "start'

)
thin (1.5.0) lib/thin/server.rb:159:in “start'
thin (1.5.0) lib/thin/controllers/controller.rb:86:in  “start'
thin (1.5.0) lib/thin/runner.rb:187:in "send'
thin (1.5.0) lib/thin/runner.rb:187:in "~ run_command'
thin (1.5.0) lib/thin/runner.rb:152:in “run!'

thin (1.5.0) bin/thin:6
/opt/local/bin/thin:23:in " load'
/opt/local/bin/thin:23

Related issues:
Related to WikiNG - Bug #2154: Text formmating links do not exist any more in... Closed 27 Feb 2013 25 May 2013
Related to WikiNG - Bug #2267: Help button no long works Closed 18 May 2014

Associated revisions

Revision 38 - 25 May 2013 18:37 - Andriy Lesyuk
Fixed #2142 and #2152, started working on #2154 and #2158

Revision 39 - 25 May 2013 20:39 - Andriy Lesyuk
Fixed button URL for #2154 and #2158

History

#1 - 03 Mar 2013 11:49 - Dave Carlton
Oops, forgot to add pre to the log stuff, too bad | can’t edit the initial entry.

| also notice that my help button does not look like yours here, there is only the single help icon. Your has “Text Formatting” and “More”, mine does
not.

#2 - 03 Mar 2013 12:22 - Andriy Lesyuk

- Status changed from New to Incomplete

What version of Redmine is this?

#3 - 03 Mar 2013 13:13 - Dave Carlton

My bad, | was working on the master branch of redmine. After | downgraded to 2.1 the wiking plugin is now working. You can close this, | did however
find another bug concerning Download button and redmine 2.1. Will write that one up.

#4 - 03 Mar 2013 14:18 - Dave Carlton

| did some more regression testing, your Wiking plugin is working on 2.2. That is, | see the new Text formatting links like your site here. Did not do any
exhaustive test. However, you may want to leave this open as it exhibits the first reported error above on 2.3 and above. Evidently some paths were
changed is my suspicion.
#5 - 04 Mar 2013 17:36 - George Miller
- File help.png added

Hello,

i’'ve got the same error if | click on the help button.
| @ a /projects/redmine/wiki/Tests/Text formatting: <a href="/help/wiki_syntax.html” class="help-link" onclick="wind:

Page not found

The page you were trying to access doesn't exist or has been removed.

Back

The url of the help window is:

http://****x*x*x*x*x**x:3000/projects/redmine/wiki/Tests/Text%$20formatting:%20%3Ca%20href=%22/help/wiki_syntax.htm
1%22%20class=%22help-1ink%22%20onclick=%22window.open%28&quot; /help/wiki_syntax.html&quot;, $20&quot; &quot;, %20
&quot;resizable=yes, $20location=no, $20width=300, $20height=640, $20menubar=no, $20status=no, $20scrollbars=yes&quo
t;%29;%20return%$20false; $22%3EHelp%3C/a%3E%20&amp; $20%3Ca%20href=%22/plugin_assets/wiking/help/wiki_syntax.htm
1%22%20class=%22help-1ink%22%20onclick=%22window.open%28&quot; /plugin_assets/wiking/help/wiki_syntax.html&quot
;1 %20&quot; &quot; , %$20&quot; resizable=yes, $20location=no, $20width=300, $20height=640, $20menubar=no, $20status=no,
%20scrollbars=yes&quot; %$29; %$20return%20false; $22%3EMore%$3C/a%3E

Environment:
Redmine version 2.2.3.devel.11446
Ruby version 1.9.3 (i386-mingw32)
Rails version 3.2.12
Environment production
Database adapter Mysqgl2

Redmine plugins:
wiking 0.0.3
#6 - 09 Apr 2013 10:45 - Andriy Lesyuk
- Status changed from Incomplete to Open
- Assignee set to Andriy Lesyuk

- Target version set to 0.0.4

#7 - 25 May 2013 20:48 - Andriy Lesyuk
- Due date set to 25 May 2013

- Status changed from Open to Closed

- % Done changed from 0 to 100

Files
help.png 45.1 KB 04 Mar 2013 George Miller
